de.vc.io.rtf.parser

## Class RTFProperties

- java.lang.Object
- - de.vc.io.rtf.parser.RTFProperties

- All Implemented Interfaces:
    java.lang.Cloneable

      public class RTFProperties
      extends java.lang.Object
      implements java.lang.Cloneable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ALIGNMENT_BOTTOM`
    `static int` | `ALIGNMENT_CENTER`
    `static int` | `ALIGNMENT_JUSTIFY`
    `static int` | `ALIGNMENT_LEFT`
    `static int` | `ALIGNMENT_RIGHT`
    `static int` | `ALIGNMENT_TOP`
    `static int` | `CAPITALS_NORMAL`
    `static int` | `CAPITALS_NULL`
    `static int` | `CAPITALS_SMALL`
    `DocumentProperties` | `document`
    `static byte` | `META_BOOLEAN_FALSE`
    `static byte` | `META_BOOLEAN_NONE`
    `static byte` | `META_BOOLEAN_TRUE`
    `static int` | `PAGE_NUMBER_FORMAT_DECIMAL`
    `static int` | `PAGE_NUMBER_FORMAT_LOWER_LETTER`
    `static int` | `PAGE_NUMBER_FORMAT_LOWER_ROMAN`
    `static int` | `PAGE_NUMBER_FORMAT_UPPER_LETTER`
    `static int` | `PAGE_NUMBER_FORMAT_UPPER_ROMAN`
    `SectionProperties` | `section`
    `TableRowProperties` | `tableRow`
    `TextProperties` | `text`
    `static int` | `UNDERLINE_DASH`
    `static int` | `UNDERLINE_DOT_DASH`
    `static int` | `UNDERLINE_DOT_DOT_DASH`
    `static int` | `UNDERLINE_DOTT`
    `static int` | `UNDERLINE_DOUBLE`
    `static int` | `UNDERLINE_DOUBLE_WAVE`
    `static int` | `UNDERLINE_HEAVY_WAVE`
    `static int` | `UNDERLINE_LONG_DASH`
    `static int` | `UNDERLINE_NONE`
    `static int` | `UNDERLINE_SIMPLE`
    `static int` | `UNDERLINE_THICK`
    `static int` | `UNDERLINE_THICK_DASH`
    `static int` | `UNDERLINE_THICK_DOT`
    `static int` | `UNDERLINE_THICK_DOT_DASH`
    `static int` | `UNDERLINE_THICK_DOT_DOT_DASH`
    `static int` | `UNDERLINE_THICK_LONG_DASH`
    `static int` | `UNDERLINE_WAVE`
    `static int` | `UNDERLINE_WORD`
    `static int` | `WRITING_MODE_BT_LR`
    `static int` | `WRITING_MODE_LR_TB`
    `static int` | `WRITING_MODE_LR_TB_VERTICAL`
    `static int` | `WRITING_MODE_TB_RL`
    `static int` | `WRITING_MODE_TB_RL_VERTICAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RTFProperties()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RTFProperties` | `childProps()`
    `void` | `cloneParagraph()`
    `void` | `cloneText()`
    `RTFProperties` | `copy()`
    `static byte` | `getMetaBoolean(boolean b)`
    `ParagraphProperties` | `getParagraph()`
    `void` | `setParagraph(ParagraphProperties p)`
    `static java.lang.String` | `writingModeToString(int writingMode)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### META_BOOLEAN_NONE

          public static final byte META_BOOLEAN_NONE

      See Also:
        Constant Field Values

    - #### META_BOOLEAN_TRUE

          public static final byte META_BOOLEAN_TRUE

      See Also:
        Constant Field Values

    - #### META_BOOLEAN_FALSE

          public static final byte META_BOOLEAN_FALSE

      See Also:
        Constant Field Values

    - #### UNDERLINE_NONE

          public static final int UNDERLINE_NONE

      See Also:
        Constant Field Values

    - #### UNDERLINE_SIMPLE

          public static final int UNDERLINE_SIMPLE

      See Also:
        Constant Field Values

    - #### UNDERLINE_DOTT

          public static final int UNDERLINE_DOTT

      See Also:
        Constant Field Values

    - #### UNDERLINE_DASH

          public static final int UNDERLINE_DASH

      See Also:
        Constant Field Values

    - #### UNDERLINE_DOT_DASH

          public static final int UNDERLINE_DOT_DASH

      See Also:
        Constant Field Values

    - #### UNDERLINE_DOT_DOT_DASH

          public static final int UNDERLINE_DOT_DOT_DASH

      See Also:
        Constant Field Values

    - #### UNDERLINE_DOUBLE

          public static final int UNDERLINE_DOUBLE

      See Also:
        Constant Field Values

    - #### UNDERLINE_THICK

          public static final int UNDERLINE_THICK

      See Also:
        Constant Field Values

    - #### UNDERLINE_WORD

          public static final int UNDERLINE_WORD

      See Also:
        Constant Field Values

    - #### UNDERLINE_WAVE

          public static final int UNDERLINE_WAVE

      See Also:
        Constant Field Values

    - #### UNDERLINE_HEAVY_WAVE

          public static final int UNDERLINE_HEAVY_WAVE

      See Also:
        Constant Field Values

    - #### UNDERLINE_LONG_DASH

          public static final int UNDERLINE_LONG_DASH

      See Also:
        Constant Field Values

    - #### UNDERLINE_THICK_DOT

          public static final int UNDERLINE_THICK_DOT

      See Also:
        Constant Field Values

    - #### UNDERLINE_THICK_DASH

          public static final int UNDERLINE_THICK_DASH

      See Also:
        Constant Field Values

    - #### UNDERLINE_THICK_DOT_DASH

          public static final int UNDERLINE_THICK_DOT_DASH

      See Also:
        Constant Field Values

    - #### UNDERLINE_THICK_DOT_DOT_DASH

          public static final int UNDERLINE_THICK_DOT_DOT_DASH

      See Also:
        Constant Field Values

    - #### UNDERLINE_THICK_LONG_DASH

          public static final int UNDERLINE_THICK_LONG_DASH

      See Also:
        Constant Field Values

    - #### UNDERLINE_DOUBLE_WAVE

          public static final int UNDERLINE_DOUBLE_WAVE

      See Also:
        Constant Field Values

    - #### ALIGNMENT_LEFT

          public static final int ALIGNMENT_LEFT

      See Also:
        Constant Field Values

    - #### ALIGNMENT_RIGHT

          public static final int ALIGNMENT_RIGHT

      See Also:
        Constant Field Values

    - #### ALIGNMENT_CENTER

          public static final int ALIGNMENT_CENTER

      See Also:
        Constant Field Values

    - #### ALIGNMENT_JUSTIFY

          public static final int ALIGNMENT_JUSTIFY

      See Also:
        Constant Field Values

    - #### ALIGNMENT_TOP

          public static final int ALIGNMENT_TOP

      See Also:
        Constant Field Values

    - #### ALIGNMENT_BOTTOM

          public static final int ALIGNMENT_BOTTOM

      See Also:
        Constant Field Values

    - #### PAGE_NUMBER_FORMAT_DECIMAL

          public static final int PAGE_NUMBER_FORMAT_DECIMAL

      See Also:
        Constant Field Values

    - #### PAGE_NUMBER_FORMAT_UPPER_ROMAN

          public static final int PAGE_NUMBER_FORMAT_UPPER_ROMAN

      See Also:
        Constant Field Values

    - #### PAGE_NUMBER_FORMAT_LOWER_ROMAN

          public static final int PAGE_NUMBER_FORMAT_LOWER_ROMAN

      See Also:
        Constant Field Values

    - #### PAGE_NUMBER_FORMAT_UPPER_LETTER

          public static final int PAGE_NUMBER_FORMAT_UPPER_LETTER

      See Also:
        Constant Field Values

    - #### PAGE_NUMBER_FORMAT_LOWER_LETTER

          public static final int PAGE_NUMBER_FORMAT_LOWER_LETTER

      See Also:
        Constant Field Values

    - #### WRITING_MODE_LR_TB

          public static final int WRITING_MODE_LR_TB

      See Also:
        Constant Field Values

    - #### WRITING_MODE_TB_RL

          public static final int WRITING_MODE_TB_RL

      See Also:
        Constant Field Values

    - #### WRITING_MODE_BT_LR

          public static final int WRITING_MODE_BT_LR

      See Also:
        Constant Field Values

    - #### WRITING_MODE_LR_TB_VERTICAL

          public static final int WRITING_MODE_LR_TB_VERTICAL

      See Also:
        Constant Field Values

    - #### WRITING_MODE_TB_RL_VERTICAL

          public static final int WRITING_MODE_TB_RL_VERTICAL

      See Also:
        Constant Field Values

    - #### CAPITALS_NULL

          public static final int CAPITALS_NULL

      See Also:
        Constant Field Values

    - #### CAPITALS_NORMAL

          public static final int CAPITALS_NORMAL

      See Also:
        Constant Field Values

    - #### CAPITALS_SMALL

          public static final int CAPITALS_SMALL

      See Also:
        Constant Field Values

    - #### document

          public DocumentProperties document

    - #### section

          public SectionProperties section

    - #### text

          public TextProperties text

    - #### tableRow

          public TableRowProperties tableRow

  - ### Constructor Detail

    - #### RTFProperties

          public RTFProperties()

  - ### Method Detail

    - #### getMetaBoolean

          public static byte getMetaBoolean(boolean b)

    - #### writingModeToString

          public static java.lang.String writingModeToString(int writingMode)

    - #### getParagraph

          public final ParagraphProperties getParagraph()

    - #### setParagraph

          public final void setParagraph(ParagraphProperties p)

    - #### cloneParagraph

          public final void cloneParagraph()

    - #### cloneText

          public final void cloneText()

    - #### copy

          public RTFProperties copy()

    - #### childProps

          public RTFProperties childProps()

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.